Loading...
Searching...
No Matches
tag-utils.h File Reference
SPA » Parameters

spa/param/tag-utils.h More...

Go to the source code of this file.

## Macros

#define | SPA_API_TAG_UTILS static inline

## Functions

SPA_API_TAG_UTILS int | spa_tag_compare (const struct spa_pod *a, const struct spa_pod *b)
SPA_API_TAG_UTILS int | spa_tag_parse (const struct spa_pod *tag, struct spa_tag_info *info, void **state)
SPA_API_TAG_UTILS int | spa_tag_info_parse (const struct spa_tag_info *info, struct spa_dict *dict, struct spa_dict_item *items)
SPA_API_TAG_UTILS void | spa_tag_build_start (struct spa_pod_builder *builder, struct spa_pod_frame *f, uint32_t id, enum spa_direction direction)
SPA_API_TAG_UTILS void | spa_tag_build_add_info (struct spa_pod_builder *builder, const struct spa_pod *info)
SPA_API_TAG_UTILS void | spa_tag_build_add_dict (struct spa_pod_builder *builder, const struct spa_dict *dict)
SPA_API_TAG_UTILS struct spa_pod * | spa_tag_build_end (struct spa_pod_builder *builder, struct spa_pod_frame *f)

## Detailed Description

spa/param/tag-utils.h